summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-04-29 10:34:16 +0200
committerHolger Levsen <holger@layer-acht.org>2014-04-29 10:34:16 +0200
commit1a97061d1528b243f24224d689ae1969dd0b16f0 (patch)
treee44d9ba2d95bfd6bb97f7eb265e99bc5740e6199
parent661b1ef020a182cb137e49088ea081de79f26c60 (diff)
downloadjenkins.debian.net-1a97061d1528b243f24224d689ae1969dd0b16f0.tar.xz
g-i: use gocr to detect problem creating an LTSP chroot
-rwxr-xr-xbin/g-i-installation.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index b1fbbbda..618f1e04 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -826,6 +826,7 @@ monitor_system() {
INVALID_SIG_LINE=$(egrep "(Invalid Release signature)" $GOCR || true)
CDROM_PROBLEM=$(grep "There was a problem reading data from the CD-ROM" $GOCR || true)
SOFTWARE_PROBLEM=$(grep "The failing step is: Select and install software" $GOCR || true)
+ BUILD_LTSP_PROBLEM=$(grep "The failing step is: Build LTSP chroot" $GOCR || true)
rm $GOCR $GOCR.ppm
if [[ "$LAST_LINE" =~ .*Power\ down.* ]] ; then
echo "QEMU was powered down, continuing."
@@ -842,6 +843,9 @@ monitor_system() {
elif [ ! -z "$SOFTWARE_PROBLEM" ] ; then
echo "ERROR: The failing step is: Select and install software."
exit 1
+ elif [ ! -z "$BUILD_LTSP_PROBLEM" ] ; then
+ echo "ERROR: The failing step is: Build LTSP chroot."
+ exit 1
fi
fi
# every 100 screenshots, starting from the $TIMEOUTth one...